IdentityQueryFilter (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.columniterator
Class IdentityQueryFilter

    java.lang.Object
      org.apache.cassandra.db.filter.SliceQueryFilter
          org.apache.cassandra.db.columniterator.IdentityQueryFilter

All Implemented Interfaces:
  IFilter

    public class IdentityQueryFilter

extends SliceQueryFilter

Field Summary

Fields inherited from class org.apache.cassandra.db.filter.SliceQueryFilter
`count, finish, reversed, start`

Constructor Summary
`IdentityQueryFilter()` Only for use in testing; will read entire CF into memory.

Method Summary
`SuperColumn` | `filterSuperColumn(SuperColumn superColumn, int gcBefore)` subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

Methods inherited from class org.apache.cassandra.db.filter.SliceQueryFilter
`collectReducedColumns, getColumnComparator, getMemtableColumnIterator, getSSTableColumnIterator, getSSTableColumnIterator, isReversed, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityQueryFilter

    public IdentityQueryFilter()

  Only for use in testing; will read entire CF into memory.

Method Detail

### filterSuperColumn

    public SuperColumn filterSuperColumn(SuperColumn superColumn,
                                         int gcBefore)

  Description copied from interface: `IFilter`
  subcolumns of a supercolumn are unindexed, so to pick out parts of those we operate in-memory.

  Specified by:
    `filterSuperColumn` in interface `IFilter`
  Overrides:
    `filterSuperColumn` in class `SliceQueryFilter`
  Parameters:
    `superColumn` - may be modified by filtering op.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation